cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

LTE-Advanced

TwitchyPuppy
TELUS Employee
TELUS Employee
Hello!

Which phones are compatible with LTE-Advanced and Wi-Fi Calling?

And I bought a SIM card, I’m ready to activate it on post-paid. Can I do that online?

Thanks!
1 ACCEPTED SOLUTION

iPhone SE iPhone 6/6S iPhone 6/6S Plus
iPhone 7 iPhone 7 Plus

NO wifi calling on Android devices at this time.

View solution in original post

15 REPLIES 15

Nighthawk
Community Power User
Community Power User

Only phones supported for wifi-calling currently are the newer iPhones only.


If you find a post useful, please give the author a "Like" or mark as an accepted solution if it solves your trouble. 🙂

And LTE-Advanced?

NFtoBC
Community Power User
Community Power User

This link may help.

 

NFtoBC
If you find a post useful, please give the author a "Like"

It doesn’t, unfortunately. I typed “LTE” in the search bar and it didn’t turn up any results..

NFtoBC
Community Power User
Community Power User

 The process to activate an account is described here.

NFtoBC
If you find a post useful, please give the author a "Like"

Good to know, but not what I need to know.

NFtoBC
Community Power User
Community Power User

Then possibly you need to clarify your question so a better answer can be offered.

 

NFtoBC
If you find a post useful, please give the author a "Like"

Which phones are compatible with LTE-Advanced and Wi-Fi Calling?

I doubt it can be any clearer than that 😛

iPhone SE iPhone 6/6S iPhone 6/6S Plus
iPhone 7 iPhone 7 Plus

NO wifi calling on Android devices at this time.

Thanks a bunch 😄

Well, it solved my problem. VoLTE isn’t available in Quebec yet!


@WestCoasterBC wrote:
iPhone SE iPhone 6/6S iPhone 6/6S Plus
iPhone 7 iPhone 7 Plus

NO wifi calling on Android devices at this time.

Update (for those unaware of newly available phones):

- LG G6, LG V30, Samsung S8, Samsung S8+, Samsung Note8 on Android 7.0 and above. Compatible with postpaid accounts only. An LTE SIM card is required and phone has to come from Telus (or have Telus CSC).

- iPhone 6 or newer (including SE) on iOS 10.2 and above. Compatible with postpaid accounts only. An LTE SIM card is required.

But not the S9!

 

Arghhh.

Yeah, I don’t get it. The S8 is older than the S9 yet they support the former..

NFtoBC
Community Power User
Community Power User

@TwitchyPuppy wrote:

And I bought a SIM card, I’m ready to activate it on post-paid. Can I do that online?


 

NFtoBC
If you find a post useful, please give the author a "Like"